[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

yum / rpm dependency broken in F7 ?



Tried updateing hplip and kdegraphics today and got the following:


1) HPLIP

# yum update hplip
Loading "changelog" plugin
Loading "fastestmirror" plugin
Loading "installonlyn" plugin
Setting up Update Process
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package hplip.x86_64 0:1.7.2-13.fc7 set to be updated
--> Processing Dependency: hpijs = 1:1.7.2-13.fc7 for package: hplip
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package hplip.x86_64 0:1.7.2-13.fc7 set to be updated
---> Package hpijs.x86_64 1:1.7.2-13.fc7 set to be updated

Dependencies Resolved

=============================================================================
Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
hplip                   x86_64     1.7.2-13.fc7     updates           7.8 M
Updating for dependencies:
hpijs                   x86_64     1:1.7.2-13.fc7   updates           292 k

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       2 Package(s)
Remove       0 Package(s)

Total download size: 8.0 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
 file /usr/share/foomatic/db/source/PPD/HP/fax/HP-Fax-hplip.ppd.gz
from install of hpijs-1.7.2-13.fc7 conflicts with file from package
hpijs-1.7.2-10.fc7

Error Summary
-------------




2) KDEGRAPHICS

# yum update kdegraphics
Loading "changelog" plugin
Loading "fastestmirror" plugin
Loading "installonlyn" plugin
Setting up Update Process
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package kdegraphics.i386 7:3.5.7-1.fc7 set to be updated
---> Package kdegraphics.x86_64 7:3.5.7-1.fc7 set to be updated
--> Processing Dependency: kdegraphics = 7:3.5.6-3.fc7 for package:
kdegraphics-extras
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package kdegraphics-extras.x86_64 7:3.5.7-1.fc7 set to be updated
--> Processing Dependency: kdegraphics = 7:3.5.6-3.fc7 for package:
kdegraphics-extras
--> Restarting Dependency Resolution with new changes.
--> Running transaction check

Dependencies Resolved

=============================================================================
Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
kdegraphics             i386       7:3.5.7-1.fc7    updates           7.2 M
kdegraphics             x86_64     7:3.5.7-1.fc7    updates           7.3 M
Updating for dependencies:
kdegraphics-extras      x86_64     7:3.5.7-1.fc7    updates           2.4 M

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       3 Package(s)
Remove       0 Package(s)

Total download size: 17 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
 file /usr/share/applications/kde/kfax.desktop from install of
kdegraphics-extras-3.5.7-1.fc7 conflicts with file from package
kdegraphics-extras-3.5.6-3.fc7
 file /usr/share/applications/kde/kfaxview.desktop from install of
kdegraphics-extras-3.5.7-1.fc7 conflicts with file from package
kdegraphics-extras-3.5.6-3.fc7
 file /usr/share/applications/kde/kpovmodeler.desktop from install of
kdegraphics-extras-3.5.7-1.fc7 conflicts with file from package
kdegraphics-extras-3.5.6-3.fc7
 file /usr/share/apps/kpovmodeler/icons/crystalsvg/22x22/actions/pmconfigureopengl.png
from install of kdegraphics-extras-3.5.7-1.fc7 conflicts with file
from package kdegraphics-extras-3.5.6-3.fc7
 file /usr/share/services/kfaxmultipage.desktop from install of
kdegraphics-extras-3.5.7-1.fc7 conflicts with file from package
kdegraphics-extras-3.5.6-3.fc7
 file /usr/share/services/kfaxmultipage_tiff.desktop from install of
kdegraphics-extras-3.5.7-1.fc7 conflicts with file from package
kdegraphics-extras-3.5.6-3.fc7

Error Summary
-------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]